<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

/**
 * Include TypoScript for tt_content.slickitem: constants
 */
$slickItemTypoScriptConstants = trim( '
plugin.slick {
  item {
    view {
      templateRootPath = EXT:slick/Resources/Private/Templates/
      partialRootPath = EXT:slick/Resources/Private/Partials/
      layoutRootPath = EXT:slick/Resources/Private/Layouts/
    }
  }
}
' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY, 'constants', $slickItemTypoScriptConstants
);


/**
 * Include TypoScript for tt_content.slickitem: setup
 */
$slickItemTypoScriptSetup = trim( '
tt_content.slickitem = FLUIDTEMPLATE
tt_content.slickitem {
  file = {$plugin.slick.item.view.templateRootPath}Item/Render.html
  partialRootPath = {$plugin.slick.item.view.partialRootPath}
  layoutRootPath = {$plugin.slick.item.view.layoutRootPath}
}
' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY, 'setup', $slickItemTypoScriptSetup, 43
);

/**
 * Include TypoScript for tt_content.slickcarousel: constants
 */
$slickCarouselTypoScriptConstants = trim( '
plugin.slick {
  carousel {
    css {
      class = single-item
      file {
        library   = EXT:slick/Resources/Public/JavaScript/Slick/slick.css
        extension = EXT:slick/Resources/Public/CSS/extension.css
      }
    }
    javascript {
      file  = EXT:slick/Resources/Public/JavaScript/Slick/slick.js
      properties {
        arrows          = true
        autoplay        = true
        autoplayspeed   = 3000
        dots            = true
        infinite        = true
        slidesToShow    = 1
        slidesToScroll  = 1
        speed           = 3000
        vertical        = false
      }
    }
  }
}
' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY, 'constants', $slickCarouselTypoScriptConstants
);


/**
 * Include TypoScript for tt_content.slickcarousel: setup
 */
$slickCarouselTypoScriptSetup = trim( '
tt_content.slickcarousel < tt_content.shortcut
tt_content.slickcarousel {
  wrap = <div class="{$plugin.slick.carousel.css.class}">|</div>
}
page {
  cssInline {
      // slick
    62478 = TEXT
    62478 {
      value (
        .{$plugin.slick.carousel.css.class}{
          margin:{$plugin.slick.carousel.css.margins.item};
        }
        .slick-slide figure {
          margin:0;
        }
        .border {
          border-left: {$plugin.slick.carousel.css.margins.content.left} solid #c0c;
        }
        .slick-header,
        .slick-text {
          display: inline;
          position: absolute;
          z-index: 1;
        }
        .slick-header {
          bottom: {$plugin.slick.carousel.css.header.bottom};
          top: {$plugin.slick.carousel.css.header.top};
        }
        .slick-text {
          bottom: {$plugin.slick.carousel.css.text.bottom};
          top: {$plugin.slick.carousel.css.text.top};
        }
        .slick-header .span,
        .slick-text .span {
        }
        .slick-header .span {
          display: inline;
        }
        .slick-header .span h4 {
          background-color: {$plugin.slick.carousel.css.header.background-color};
          color: {$plugin.slick.carousel.css.header.color};
          font-size: {$plugin.slick.carousel.css.header.font-size};
          font-weight: {$plugin.slick.carousel.css.header.font-weight};
        }
        .slick-text .span {
          display: inline;
        }
        .slick-text .span p {
          background-color: {$plugin.slick.carousel.css.text.background-color};
          color: {$plugin.slick.carousel.css.text.color};
          font-size: {$plugin.slick.carousel.css.text.font-size};
          font-weight: {$plugin.slick.carousel.css.text.font-weight};
        }
        /* color */
        .slick-next:before,
        .slick-prev:before {
          color: {$plugin.slick.carousel.css.colors.arrows};
        }
        .slick-dots li button:before {
          color: {$plugin.slick.carousel.css.colors.dots.default};
        }
        .slick-dots li.slick-active button:before {
          color: {$plugin.slick.carousel.css.colors.dots.active};
        }
        /* position */
        .slick-dots {
          bottom: {$plugin.slick.carousel.css.position.dots.bottom};
        }
        .slick-next {
          right: {$plugin.slick.carousel.css.position.next.right};
        }
        .slick-prev {
          left: {$plugin.slick.carousel.css.position.prev.left};
        }
)
    }
  }
  includeCSS {
    slickLibrary    = {$plugin.slick.carousel.css.file.library}
  }
  includeJSFooter {
    slick = {$plugin.slick.carousel.javascript.file}
  }
  jsFooterInline {
      // slick
    60807 = TEXT
    60807.value (
      $(document).ready(function(){
        $(\'.{$plugin.slick.carousel.css.class}\').slick({
          arrows          : {$plugin.slick.carousel.javascript.properties.arrows},
          autoplay        : {$plugin.slick.carousel.javascript.properties.autoplay},
          autoplayspeed   : {$plugin.slick.carousel.javascript.properties.autoplayspeed},
          dots            : {$plugin.slick.carousel.javascript.properties.dots},
          infinite        : {$plugin.slick.carousel.javascript.properties.infinite},
          slidesToShow    : {$plugin.slick.carousel.javascript.properties.slidesToShow},
          slidesToScroll  : {$plugin.slick.carousel.javascript.properties.slidesToScroll},
          speed           : {$plugin.slick.carousel.javascript.properties.speed},
          vertical        : {$plugin.slick.carousel.javascript.properties.vertical}
        });
      });
    )
  }
}
' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY, 'setup', $slickCarouselTypoScriptSetup, 'defaultContentRendering'
);
?>